Vaults [v1.3.10] (Prod)

March 05, 2026

Updated Data-Type Behavior in Create Transaction Request API

With this release, the following parameters are updated in the Create transaction requests API reference:

  1. The transactions.recipients.address[] parameter must have a valid address length ( > 0). It will not accept any null value or empty String.
  2. The data type of transactions.recipients.amount[] is updated to String and must be a positive decimal string. It will not accept empty string, null, or number values.

The parameter validation rules are updated for more accurate transaction checks.

❗️

This update is considered a breaking change and requires using Liminal Express SDK v1.3.10.

🆕 Added Staking Rewards API Reference

With this release, Liminal Express SDK extends developer support for Staking via the /rewards API reference. Vaults supports the new API via Figment. It returns the staking rewards report generated for the mentioned chain. The report provides insight into the Staking Rewards accrued daily and monthly.

The API reference has the following properties:

  • The reference is available at /staking/rewards/{token} for the dev and prod environments.
  • Accepted coins include ETH (Ethereum), SOL (Solana), ADA (Cardano), ATOM (Cosmos), and MATIC (Polygon).
  • Requires Vaults API key, and Figment API key & secret for basic authentication.
  • Included responses: 200 OK Success, 400 Bad Request and401 Invalid Request.

Sample request:

{
  "coin": "eth",
  "walletId": 10993,
  "startDate": "2025-07-22",
  "endDate": "2026-02-22"
}

Note: Liminal Vaults does not store Figment user credentials.

Refer to the Rewards API reference guide to learn more.

Updated Liminal Express SDK

Updated the latest version of Liminal Express SDK to v1.3.10. Ensure to update the required impacted applications. The Docker container image to /liminal-sdk-api:1.3.10.

Refer to the following latest versions of the Express Developer Postman collection:

Refer to the Update Liminal Express guide to update to the latest version.

⬆️ Improvements

Support Base Units for Webhook Amount and Fee Related Parameters

The following parameters are added to:

  1. Receive transaction webhooks:
    1. Successful webhooks for single and batch transactions, and
    2. Periodic webhooks for single and batch transactions.
  2. Send transaction webhooks:
    1. Successful webhooks for single and batch transactions.

Applicable for EVM and UTXO chains.

ObjectParameterData typeDescriptionPayload value
effectivechangeBaseUnitStringEffective change of the transaction in base units.250000000000000000
(0.25 ETH = 250000000000000000 wei)
feeBaseUnitStringFees of the transaction in base units.124320000000000
decimalsIntegerThe number of decimal precision the asset/token supports.18
inputs[]inputs.amountBaseUnitStringAmount of the asset transferred in base units.0
outputs[]outputs.amountBaseUnitStringAmount of the asset transferred in base units.10000000000000000000 (10 ETH = 10000000000000000000 wei)

Updated Parameters in Checksum Format for Webhook & Express SDK

With this release, transaction parameters are updated in the checksum format for EVM chains.

  1. The following parameters are updated for Send and Receive transaction webhook payload:
    • walletidentifier.
  2. The following parameters are updated for Transaction APIs in Express SDK:
    • inputs[].address, outputs[].address,
    • externaladdress,
    • walletidentifier, and
    • destinationAddress.

Applicable to: Retrieve a transaction, Retrieve a transaction status, Retrieve all transactions by status, and Retrieve hot wallet transactions APIs.

Handle webhooks for failed on-chain transactions for Sol and Trx

With this release, the following webhook payload parameters fields are updated for transactions that fail on-chain.

  • Webhook response:
    • Send webhook for Solana chain: Native coin and token transactions that fail-on chain. The following fields have an updated value as below:
      1. “effectivechange”: “0.00000000”,
      2. “effectivechangeusd”: “0.00000”,
      3. “inputs[].amount”: “0.00000000”, and
      4. “outputs[].amount”: “0.00000000”.
  • No webhook response: Receive webhook for transactions that fail on-chain will not generate any webhook response. Applicable for Solana and Tron chains.

Sliced Field Values for Express SDK APIs

With this release, the following Express SDK API reference parameters are sliced upto the 8 decimal points for consistency.

The following values are sliced:

  • value (8 decimal),
  • baseValue (8 decimal),
  • valueString (8 decimal),
  • baseValueString (8 decimal),
  • feeString (sliced to 8 decimal), and
  • usd (5 decimal).

Applicable to: Retrieve a transaction, Retrieve a transaction status, Retrieve all transactions by status, and Retrieve hot wallet transactions APIs.

Filter successful transactions based on sync time

With this release, the Retrieve all transactions by status and Retrieve hot wallet transactions API references have the following improvements:

  1. An added syncedTimestampOptions filter object: This object allows the user to filter the transaction list based on when the respective transaction synced to Liminal, unlike the timeStampOptions object which records the fromDate and toDate fields for when transaction syncs on the blockchain.
    1. The syncedTimestampOptions object is applicable only for successfully confirmed transactions, i.e., when "status": "success".
    2. The filter object has a maximum date range of upto 12 months.
    3. Accepted parameter for filter object: syncedTimestampOptions
  2. Updated the timeStampOptions object: For success transactions this is the transaction confirmation time, for pending transactions this is transaction creation time.